¿Cómo se puede hacer un comando accesible por teclado?

Existen muchos comandos de Cadpipe accesibles desde teclado. Tipo ?? en el área de comando para visualizar la lista de comandos accesibles desde teclado: Puede personalizar los comandos de teclado a través del fichero CADPIPE USER. En ORTHO, el fichero se llama CPLUSR.LSP y está en el directorio \CPMORTHO\ORTLSP. En ISO, el fichero se llama ISOUSR.LSP y está en el directorio \CPMISO\ISOLSP. En P&ID, el fichero se llama CPDUSR.LSP y está en el directorio \CPMPID\PIDLSP.

Encontrará los comandos de teclado personalizables al final de cada fichero USER. Puede modificar o añadir a esos comandos. La sección de comandos de teclado del fichero USER se divide en dos partes. Primera, la definición de cada comando de teclado, y segunda, la lista de comandos de teclado disponible.

Use el programa’ Menu Reference files (???MENU.REF) para ayudarle a definir cada comando. Este fichero es solo para su uso; muestra la correcta sistaxis de cada comando de CADPIPE.

Un ejemplo

Por ejemplo, en ISO, quiere el comando “Revision Cloud” como comando de teclado. Añadirá esta definición–como se ilustra en el fichero ISOMENU.REF bajo T1-081–al fichero ISOUSR.LSP:

(defun C:REV()

; CADPIPE Revision Cloud

            (prompt “Place Revision Cloud] “) (CPCHK “182”) (IS182)

)
Entonces, añadir el comando a la lista en la segunda parte en la sección de comandos de teclado:

(prompt “\nSW – Set Wall”)

(prompt “\nUB – Undo Back”)

(prompt “\nREV – Revision”)

(prompt “\n”)
Ahora, cuando teclee ?? en el área de comando, el comando Revision Cloud estará incluido en la lista.

Puede personalizar abreviaciones de las suministradas para los comandos de teclado. Simplemente cambiando los caracteres en las definiciones y en la lista.

Cargar el fichero en un editor de textos y cambiar el caracter correspondiente al comando. Por ejemplo, el siguiente es para entrar el Rating comando:

(defun C:SR()

;CADPIPE Set Rating function

     (setq cpmprt t pidtablet “2” cptblt 2005)

         (C:[ )

)
Cambiará SR con los nuevos dos caracters de comando, ejemplo, CR. Su primera línea sería como sigue:

(defun C:CR()
Una vez realizados los cambios anteriores, tiene que hacer un cambio más. Al final del fichero verá una línea como sigue:

(prompt “SR – Set Rating”)
Cambiar a:

(prompt “CR – Set Rating”)

Volver a la lista

-->